## tcpclientsink tcpclientsink — Send data as a client over the network via TCP |

## Properties

gchar * | host | Read / Write
gint | port | Read / Write

## Types and Values

struct | GstTCPClientSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstTCPClientSink

## Description

### Example launch line

    1
    2
    3
    4
    # server:
    nc -l -p 3000
    # client:
    gst-launch fdsink fd=1 ! tcpclientsink port=3000

everything you type in the client is shown on the server

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstTCPClientSink

    struct GstTCPClientSink;

## Property Details

### The `“host”` property

      “host”                     gchar *

The host/IP to send the packets to.

Flags: Read / Write

Default value: "localhost"

### The `“port”` property

      “port”                     gint

The port to send the packets to.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 4953

## See Also

tcpclientsink